package com.bcxin.ins.service.preservation;


import com.bcxin.ins.entity.policy_core.InsPreservationRecord;
import com.bcxin.ins.vo.OrderFormVo;

import java.util.Map;

public interface RecordUpdateStrategy {
    int handleRenbaoUpdate(Map<String, String> map, InsPreservationRecord record, OrderFormVo vo, int sign);
    int handlePingAnCaiUpdate(Map<String, String> map, InsPreservationRecord record, OrderFormVo vo, int sign);

    int handleHuataiUpdate(Map<String, String> map, InsPreservationRecord record, int sign);

    int handleZhonghuaUpdate(Map<String, String> map, InsPreservationRecord record, int sign);

    int handleTaipingyangUpdate(Map<String, String> map, InsPreservationRecord record, int sign);

    int handleChanganUpdate(Map<String, String> map, InsPreservationRecord record, String productCode, int sign);

    int handleQianhaiUpdate(Map<String, String> map, InsPreservationRecord record, int sign);
}
